<?php
/**************************************************
  Coppermine 1.5.x Plugin - email_comments
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

require "./plugins/email_comments/lang/english.php";
if ($CONFIG['lang'] != 'english' && file_exists("./plugins/email_comments/lang/{$CONFIG['lang']}.php")) {
    require "./plugins/email_comments/lang/{$CONFIG['lang']}.php";
}

// V1.2 - Added CPG 1.6 compatibility (eliminate direct mysql calls) - requires 1.5.42 or higher now
//      - added german language file contributed by cmfa
//      - minor changes reported by cmfa

$name = $lang_plugin_email_comments['plugin_name'];
$description = $lang_plugin_email_comments['plugin_description'];
$author = 'Greg Cardillo (gmc)';
$version = '1.2';
//$plugin_cpg_version = array('min' => '1.5.28');                                 // 1.5.28 introduced action plugin points we use... won't be invoked at lower levels
$plugin_cpg_version = array('min' => '1.5.42');                                 // 1.5.42 introduced cpg_db_free_result needed for 1.6.x compatibility
$install_info = $lang_plugin_email_comments['install_info'];
$extra_info = $lang_plugin_email_comments['extra_info'];
$extra_info .= '<br /><a href="index.php?file=email_comments/admin" class="admin_menu">' . sprintf($lang_plugin_email_comments['configure_x'], $lang_plugin_email_comments['plugin_name']) . '</a> ';
$extra_info .= '<a href="http://forum.coppermine-gallery.net/index.php/topic,79541.0.html" class="admin_menu">' . $lang_plugin_email_comments['announcement'] . '</a> ';
?>