<?php
/**************************************************
  Coppermine 1.5.x Plugin - email_comments
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

// plugin manager screen
$lang_plugin_email_comments['plugin_name']               = 'Kommentare via E-Mail versenden';      // Your plugin's long name here
$lang_plugin_email_comments['plugin_description']        = 'Send submitted/approved comments to picture owner - and optionally other commenters.'; // Describe what your plugin does here
$lang_plugin_email_comments['install_info']              = 'Plugin installation - Konfiguration von Optionen.'; // Before the plugin is installed, this line will show in the plugin manager as additional information
$lang_plugin_email_comments['extra_info']                = 'Ausf&uuml;hrliche Informationen, lies die readme.txt im Plugin Ordner.'; // Extra information that shows up in the plugin manager after the plugin is installed
$lang_plugin_email_comments['configure_x']               = 'konfigurieren %s'; // The %s will be replaced with the name of your plugin, so you usually don't have to edit this line
$lang_plugin_email_comments['execute_x']                 = 'ausf&uuml;hren %s';
$lang_plugin_email_comments['announcement']              = 'Ank&uuml;ndigungs-Thema';

// uninstall/cleanup functions (codebase.php)
$lang_plugin_email_comments['uninstall_remove_settings'] = 'Konfigurationseinstellungen entfernen';
$lang_plugin_email_comments['remove_settings']           = 'Einstellungen entfernen';

// configuration panel - admin.php
$lang_plugin_email_comments['submit']                    = 'Submit Configuration Updates';//'speichern von Konfigurations&auml;nderungenen';
$lang_plugin_email_comments['submit_uninstall']          = 'Plugin deinstallieren';
$lang_plugin_email_comments['update_success']            = 'Plugin Konfigurations&auml;nderungenen';
$lang_plugin_email_comments['no_changes']                = 'Keine &Auml;nderungen vorgenommen! (oder sie waren fehlerhaft)';
$lang_plugin_email_comments['show']                      = 'Plugin Einstellungen anzeigen/verbergen ';

// configuration options
$lang_plugin_email_comments['send_owner']                = 'Kommentare via E-Mail an Bildautor versenden <br>(aktiviert/deaktiviert das Plugin)';
$lang_plugin_email_comments['send_commenters']           = 'andere Kommentare via E-Mail versenden';
$lang_plugin_email_comments['send_thumbnail']            = 'Thumbnails via E-Mail (Link zum Bild)';
$lang_plugin_email_comments['subject']                   = 'E-Mail Betreff';
$lang_plugin_email_comments['subject_comment']           = 'Galeriename wird vorangestellt';
$lang_plugin_email_comments['owner']                     = 'E-Mail Text f&uumlr; Bildautor';
$lang_plugin_email_comments['owner_comment']             = '';
$lang_plugin_email_comments['author']                    = 'E-Mail Text vom Kommentaror';
$lang_plugin_email_comments['author_comment']            = '';
$lang_plugin_email_comments['title_thumb']               = 'Bild und Bildtitel wird hier eingef&uuml;gt (sofern gew&uuml;nscht)';
$lang_plugin_email_comments['text1']                     = 'E-Mail - Zeile 1';
$lang_plugin_email_comments['text1_comment']             = '';
$lang_plugin_email_comments['text2']                     = 'E-Mail - Zeile 2';
$lang_plugin_email_comments['text2_comment']             = '';
$lang_plugin_email_comments['text3']                     = 'E-Mail - Zeile 3';
$lang_plugin_email_comments['text_comment']              = '';
$lang_plugin_email_comments['text4']                     = 'E-Mail - Zeile 4';
$lang_plugin_email_comments['text4_comment']             = '';
$lang_plugin_email_comments['loginreq']                  = 'E-Mail Login erforderlich';
$lang_plugin_email_comments['loginreq_comment']          = 'Added to message if gallery requires login to view';
$lang_plugin_email_comments['sample_owner']              = 'Beispiel E-Mail an Bildautor';
$lang_plugin_email_comments['sample_author']             = 'Beispiel E-Mail vom vorherigen Kommentar';
$lang_plugin_email_comments['body']                      = 'E-Mail Text';

// Documentation Options
$lang_plugin_email_comments['view_readme'] = 'Readme Datei';

?>